wibble::RangeMixin< T, Self > Struct Template Reference

`#include <range.h>`

Inheritance diagram for wibble::RangeMixin< T, Self >:
[legend]
Collaboration diagram for wibble::RangeMixin< T, Self >:
[legend]

## Public Types

typedef Self | RangeImplementation
typedef T | ElementType
typedef IteratorMixin< T, Self > | Base
typedef RangeIterator< Self > | iterator

## Public Member Functions

const Self & | self () const
iterator | begin () const
iterator | end () const
T | head ()
Self | tail () const
void | output (Consumer< T > t) const
bool | empty () const
| ~RangeMixin ()
Public Member Functions inherited from wibble::mixin::Comparable< Self >
const Self & | cmpSelf () const
bool | operator!= (const Self &o) const
bool | operator== (const Self &o) const
bool | operator< (const Self &o) const
bool | operator> (const Self &o) const
bool | operator>= (const Self &o) const

## Friends

struct | RangeIterator< Self >

## Member Typedef Documentation

## Base

template<typename T, typename Self>

typedef IteratorMixin< T, Self > wibble::RangeMixin< T, Self >::Base

## ElementType

template<typename T, typename Self>

typedef T wibble::RangeMixin< T, Self >::ElementType

## iterator

template<typename T, typename Self>

typedef RangeIterator< Self > wibble::RangeMixin< T, Self >::iterator

## RangeImplementation

template<typename T, typename Self>

typedef Self wibble::RangeMixin< T, Self >::RangeImplementation

## Constructor & Destructor Documentation

## ~RangeMixin()

template<typename T, typename Self>

wibble::RangeMixin< T, Self >::~RangeMixin | ( |  | ) |

inline

## Member Function Documentation

## begin()

template<typename T, typename Self>

iterator wibble::RangeMixin< T, Self >::begin | ( |  | ) | const

inline

## empty()

template<typename T, typename Self>

bool wibble::RangeMixin< T, Self >::empty | ( |  | ) | const

inline

## end()

template<typename T, typename Self>

iterator wibble::RangeMixin< T, Self >::end | ( |  | ) | const

inline

## head()

template<typename T, typename Self>

T wibble::RangeMixin< T, Self >::head | ( |  | ) |

inline

Referenced by wibble::RangeMixin< T, GeneratedRange< T, _Advance, _End > >::head().

## output()

template<typename T, typename Self>

void wibble::RangeMixin< T, Self >::output | ( | Consumer< T > | t | ) | const

inline

## self()

template<typename T, typename Self>

const Self& wibble::RangeMixin< T, Self >::self | ( |  | ) | const

inline

## tail()

template<typename T, typename Self>

Self wibble::RangeMixin< T, Self >::tail | ( |  | ) | const

inline

## Friends And Related Function Documentation

## RangeIterator< Self >

template<typename T, typename Self>

friend struct RangeIterator< Self >

friend

The documentation for this struct was generated from the following file:

- range.h